// This is a copy of jscalendar.js from jstools, but with a function
// wrapper so it can be used on a per-id basis, rather than on the 
// whole page.
var div_id;
function execute_jscalendar(div_id) {
	if (div_id == 'null') {
		div = "input[@type='text'].jscalendar";
	} else {
		div = '#' + div_id + ". input[@type='text'].jscalendar";
	}
	if (Drupal.jsEnabled) {
		$(document).ready(function() {
			$(div).each(function (){
				var id = $(this).attr('id');
				var form = this.form;
				var div = document.createElement('div');
				$(div)
					.html(' ... ')
					.attr('id', id + '-button')
					.addClass('jscalendar-icon');
				$(this)
					.after(div)
					.parent().addClass('jscalendar');
	
				var settings = [];
				settings['ifFormat'] = $('#' + id + '-jscalendar-ifFormat', form).size() > 0 ? $('#' + this.id + '-jscalendar-ifFormat', form).val() : '%Y-%m-%d %H:%M:%S';
				// We use eval() because the result is a boolean while our input is a string.
				settings['showsTime'] = $('#' + id + '-jscalendar-showsTime', form).size() > 0 ? eval($('#' + this.id + '-jscalendar-showsTime', form).val()) : true;
				settings['timeFormat'] = $('#' + id + '-jscalendar-timeFormat', form).size() > 0 ? $('#' + this.id + '-jscalendar-timeFormat', form).val() : '12';
				Calendar.setup({
					inputField  : id,
					ifFormat    : settings['ifFormat'],
					button      : id + '-button',
					showsTime   : settings['showsTime'],
					timeFormat  : settings['timeFormat']
				});
			});
		});
	};
}
//execute_jscalendar('null');